[简体中文](./README.md) | English
# Browser CSV Exporter
Browser CSV Exporter is a lib for exporting CSV file in browser.

[![](https://travis-ci.org/codeudan/browser-csv-exporter.svg?branch=master)](https://travis-ci.org/codeudan/csv-exporter)

## Usage
```
npm install browser-csv-exporter --save

import CSVExporter from 'browser-csv-exporter';
new CSVExporter(options)
```
Or download this repo:

```
<script src="./browser-csv-exporter.min.js"></script>
new CSVExporter(options)
let exporter = new CSVExporter(options);
exporter.export();

```

## Options
- fileName: filename of csv，default: new Date()
- columns: columns of csv，default：[]
- data: data of csv，default：[]

### Supporting options format
```
{
  fileName: 'fileName',
  columns: [{
    title: 'Name',
    key: 'name'
  }, {
    title: 'Age',
    key: 'age'
  }],
  data: [{
    name: 'A',
    age: 23
  }, {
    name: 'B',
    age: 23
  }]
}
```

```
{
  fileName: 'fileName',
  columns: [{
    title: 'name',
  }, {
    title: 'age',
  }],
  data: [{
    name: 'A',
    age: 23
  }, {
    name: 'B',
    age: 23
  }]
}
```

```
{
  fileName: 'fileName',
  columns: [{
    title: 'Name',
    key: 'name',
    formatter(value, row) {
     return value + 10;
    }
  }, {
    title: 'Age',
    key: 'age'
  }],
  data: [{
    name: 'A',
    age: 23
  }, {
    name: 'B',
    age: 23
  }]
}
```
```
{
  fileName: 'fileName',
  columns: [{
    title: 'Name'
  }, {
    title: 'Age'
  }],
  data: [['A', 23], ['B', 23]]
}
```

```
{
  fileName: 'fileName',
  columns: [{
  	title: 'Name'
  },{
  	title: 'Age',
  	formatter(value, row) {
  	 return value + 10;
  	}
  }],
  data: [['A', 23], ['B', 23]]
}
```

```
{
  fileName: 'fileName',
  columns: ['Name', 'age'],
  data: [['A', 23], ['B', 23]]
}
```

## API
- getContent(): return s string of csv content
- export(): download data as a csv file in browser

## Example
example.html

## Compatibility
Theoretically compatible with all browsers that support Blob and IE9+.